module BhtSurvey

  class QualtricsSurveysController < ApplicationController
  include QualtricsInterface
  before_action :set_workspace
    EXCLUDELIST = ['IPAddress', 'Location', 'StartDate', 'ResponseID', 'ResponseSet',
     'LocationAccuracy', 'LocationLatitude', 'LocationLongitude', 'RecipientLastName', 'RecipientFirstName',
     'Status', 'Finished', 'RecipientEmail']
    def index
      participant_id = params["participant_id"]
      survey_name = params["survey_name"]
      #process_link_clicked_event participant_id, survey_name
      result = get_participant_link participant_id, survey_name
      unique_link = result['unique_link']
      render json: {unique_link: unique_link}.to_json, status: 200
    end

    def results
      participant_id = params["participant_id"]
      survey_name = params["survey_name"]
      result = get_results participant_id, survey_name
      display_answers = result['answers'].except(*EXCLUDELIST)
      render json: display_answers.to_json, status: 200
    end
  end
end



